# $Revision: 1.342.2.2 $, $Date: 2007/01/30 10:34:19 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
%bcond_without	threads		# build without support for threads
%bcond_without	gdbm		# build without the GDBM_File module
%bcond_without	microperl	# build microperl (needs fixing)
#
# TODO:
# - fix "FIXME"s, review "XXX"s
# - add the {O,N}DBM_File modules
# - review the perldiag.pod issue
# - consider disabling ithreads by default
# - what about "prove" (binary+manual)? (conflicts with standalone Test-Harness)
# - patch MakeMaker to get rid of empty *.bs files (MM_Unix::dynamic_bs())
#
# TODO for perl-dependent packages:
# - change all "R/BR: perl" to one of perl-{base,modules,devel}
#

%define _abi	5.8.0

%define		perlthread	%{?with_threads:-thread-multi}

%define		perl_privlib	%{_datadir}/perl5/%{version}
%define		perl_archlib	%{_libdir}/perl5/%{version}/%{_target_platform}%{perlthread}
%define		perl_sitelib	%{_usr}/local/share/perl5
%define		perl_sitearch	%{_usr}/local/lib/perl5/%{_abi}/%{_target_platform}%{perlthread}
%define		perl_vendorlib	%{_datadir}/perl5/vendor_perl
%define		perl_vendorarch	%{_libdir}/perl5/vendor_perl/%{_abi}/%{_target_platform}%{perlthread}

%define		_rel 10
Summary:	Practical Extraction and Report Language (Perl)
Summary(cs):	Programovac jazyk Perl
Summary(da):	Programmeringssproget Perl
Summary(de):	Praktische Extraktions- und Berichtsprache
Summary(es):	Lenguaje prctica de extraccin y listado
Summary(fr):	Langage de programmation Perl
Summary(id):	Bahasa pemrograman Perl
Summary(is):	Forritunarmli Perl
Summary(it):	Perl: linguaggio di programmazione
Summary(ja):	Perl ץߥ󥰸
Summary(ko):	 α׷ 
Summary(nb):	Programmeringssprket Perl
Summary(pl):	Interpreter jzyka Perl (Practical Extraction and Report Language)
Summary(pt):	A linguagem de programao Perl
Summary(pt_BR):	Linguagem prtica de extrao e relatrio
Summary(ru):	  Perl
Summary(sk):	Programovac jazyk Perl
Summary(sl):	Programski jezik Perl
Summary(sv):	Programmeringssprket Perl
Summary(tr):	Kabuk yorumlama dili
Summary(zh_CN):	Perl ԡ
Name:		perl
Version:	5.8.8
Release:	%{_rel}%{!?with_threads:_nothr}
Epoch:		1
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/src/%{name}-%{version}.tar.bz2
# Source0-md5:	a377c0c67ab43fd96eeec29ce19e8382
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source1-md5:	de47d7893f49ad7f41ba69c78511c0db
Source2:	%{name}.prov
Patch0:		%{name}_581-noroot_install.patch
Patch1:		%{name}_581-INC.patch
Patch3:		%{name}_580-errno_h-parsing.patch
Patch4:		%{name}_580-use-LD_PRELOAD-for-libperl.so.patch
Patch5:		%{name}_581-soname.patch
Patch6:		%{name}-test-noproc.patch
Patch7:		%{name}_585-microperl_uconfig.patch
Patch8:		%{name}_588-27368.patch
Patch9:		%{name}-getgrent.patch
Patch10:	%{name}-5.8.7-172396.patch
Patch11:	%{name}-5.8.7-CAN-2004-0976.patch
Patch12:	%{name}_588-27203.patch
Patch13:	%{name}-ExtUtils-MakeMaker-write-permissions.patch
URL:		http://dev.perl.org/perl5/
# required for proper Provides generation (older are not supported by spec)
BuildRequires:	rpm-build >= 4.3-0.20040107.4
BuildRequires:	rpmbuild(macros) >= 1.310
%{?with_gdbm:BuildRequires:	gdbm-devel}
Requires:	%{name}-base = %{epoch}:%{version}-%{release}
Requires:	%{name}-modules = %{epoch}:%{version}-%{release}
Requires:	%{name}-doc-reference = %{epoch}:%{version}-%{release}
Requires:	perldoc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		__perl		%{_builddir}/%{name}-%{version}/runperl
%define		__perl_provides %{__perl} %{SOURCE2}

# gcc 3.3.x miscompiles pp_hot.c
# (in PUSHSUB in entersub two SvREFCNT_inc()s are working as one)
# -fno-strict-aliasing is already used to build Perl and doesn't help
%define		specflags_ppc	-O1

%description
Perl is an interpreted language optimized for scanning arbitrary text
files, extracting information from those text files, and printing
reports based on that information. It's also a good language for many
system management tasks. The language is intended to be practical
(easy to use, efficient, complete) rather than beautiful (tiny,
elegant, minimal).

%description -l cs
Perl je vy programovac jazyk s koeny v jazyce C, sed, awk a
shellovch skriptech. Perl je vhodn pro manipulace s procesy a
soubory, ale obzvlt se hod ke zpracovvn text. Perl vynik
praktinost innost. I kdy se pouv prakticky na cokoli, vtina
Perlovch program slou jako sprvcovsk utility nebo programy pro
WWW. V Perlu je napsno velmi mnoho CGI skript pro WWW servery na
celm svt.

%description -l da
Perl er et hgniveauprogramsprog med rtter i C, sed, awk og
skalskript. Perl er godt p at behandle processer og filer, og er
srskilt godt p at behandle text. Utmrkende for Perl er at det er
praktisk og effektivt. Det bruges for at gre en mngd forskellige
saker, men de almindeligeste programmerne er systemadministration og
webbprogrammering. En stor andel af CGI-skripten p webben er skrivna
i Perl. Du behver installere pakken Perl p dit system s at ditt
system kan behandle Perlskript.

%description -l de
Perl ist eine Interpreter-Sprache, die zum Durchsuchen beliebiger
Text- dateien, Extrahieren von Informationen aus diesen Dateien und
Drucken von auf diesen Informationen basierenden Berichten optimiert
ist. Die Sprache eignet sich auerdem fr viele
Systemverwaltungsaufgaben. Sie ist eher praktisch (einfache
Anwendung,effizient, vollstndig) als schn (winzig, elegant,
minimal).

%description -l es
Perl es un lenguaje interpretado, optimizado para manejar archivos
texto, extrayendo informacin de estos archivos y mostrando listados
basados en esta informacin. Tambin es un buen lenguaje para varias
tareas de administracin de sistema. El lenguaje busca ser ms
prctico (fcil de usar, eficiente, completo) que bonito (minsculo,
elegante, mnimo).

%description -l fr
Perl est un langage interprt, optimis pour filtrer des fichiers
texte, extraire des informations de ces fichiers, et imprimer des
rapports bass sur ces informations. C'est aussi un bon langage pour
de nombreuses procdures de gestion systme. Ce langage se veut
pratique (simple  utiliser, efficace, complet) autant qu'agrable
(conscrit, lgant, minimal).

%description -l id
Perl adalah sebuah bahasa pemrograman tingkat tinggi yang didasarkan
pada C, sed, awk, dan bahasa shell. Perl memiliki kemampuan penanganan
proses dan file yang bagus, tapi terutama kemampuan penanganan teksnya
yang baik. Ciri khas Perl adalah kepraktisan dan efisiensi. Meski
digunakan untuk berbagai hal, aplikasi Perl yang paling umum adalah
utilitas sistem administrasi dan pemrograman web. Sebagian besar skrip
CGI yang ada di web ditulis dalam Perl. Anda Perlu memasang paket Perl
di sistem agar dapat menjalankan skrip-skrip Perl.

%description -l is
Perl er hs stigs forritunar tunguml sem  rtur snar a rekja til
C, sed, awk, og skeljar forritunar. Perl er g  a mehndla
processa og skrr og er srstaklega g  a mehndla texta. Perls
kostir eru nytsamleiki og virkni.  mean a er nota til a gera
marga mismunandi hluti, Perl mest notuu forrit eru krefisstjrnunar
tl og vef forritun Str hluti af CGI forritum  vefnum eru skrifaar
 Perl.  arft Perl pakkann settan upp  nu krefi svo itt kerfi
geti nota Perl scriptur.

%description -l it
Perl  un linguaggio di programmazione di alto livello derivato dal
linguaggio C, da sed, da awk e dallo scripting delle shell. E' adatto
per la gestione di processi, di file e in particolare di file di
testo. Perl  un linguaggio semplice ed efficiente. Viene utilizzato
per numerosi scopi, ma le sue applicazioni pi diffuse sono le utility
di amministrazione del sistema e la programmazione Web. Una grossa
parte degli script CGI nel Web sono scritti in Perl.  consigliabile
installare il pacchetto Perl in modo che il sistema sia in grado di
gestire gli script di Perl.

%description -l ja
Perl  C졢sed, awkڤ 륹ץƥ󥰤˺
ĥϥ٥ ץǤPerl ϥץեν
Ŭڤ ä ƥȽˤϺŬǤޤޤʺȤ
Ѥޤ PerlκǤˤʳѤϥƥॢɥߥ˥ȥ졼
桼ƥƥ webץߥ󥰤Ǥweb ʬCGI"
ץȤPerlǽ񤫤Ƥޤ ƥबPerlץȤ
褦ˤ뤿ˤ Perlѥå 󥹥ȡ뤹
ɬפޤ

%description -l pl
Perl jest jzykiem przeznaczonym do skanowania plikw tekstowych,
wycigania z nich informacji i drukowania raportu bazujcego na tych
informacjach. Jest rwnie doskonaym jzykiem do wielu prac
zwizanych z nadzorem systemu. Jzyk ten jest w zamierzeniu bardziej
praktyczny (atwy w uyciu, wydajny, kompletny) ni pikny (skromny,
elegancki, minimalny).

%description -l pt
O Perl  uma linguagem de programao de alto nvel que tem como
raizes o C, sed, awk, e 'shell scripting'. O Perl  bom a manipular
processos e ficheiros, e  especialmente bom para manipular texto.
Caractersticas do Perl so a eficincia e o uso prtico. As
aplicaes mais comuns do Perl so utilitrios de administrao de
sistema e programao Web. Uma grande parte dos 'scripts' CGI na Web
so escritos em Perl. Voc precisa do pacote Perl instalado no seu
sistema de maneira a que este possa tratar de 'scripts' de Perl.

%description -l pt_BR
Perl  uma linguagem interpretada, otimizada para tratar arquivos
texto, extraindo informao desses arquivos e mostrando relatrios
baseados nessa informao. Tambm  uma boa linguagem para vrias
tarefas de administrao de sistema. A linguagem procura ser mais
prtica (fcil de usar, eficiente, completa) do que bonita (minscula,
elegante, mnima).

%description -l ru
Perl -    ,   
C, sed, awk     (shell). Perl   
   ,       .
 Perl -   .   
     ,  
 ( ,    ) , ,  
  web-.   CGI 
  Perl.

%description -l sk
Perl je programovac jazyk vyej rovne s koremi v C, sed, awk, a
shell skriptoch. Perl m vhodn vlastnosti pre spracovanie procesov a
sborov a je zvlṻ vhodn pre spracovanie textu. Jeho ciemi s
praktinos a efektivita. Aj ke je pouvan pre mnostvo rozlinch
innost, jeho najastejm pouitm (a kde vynik najviac) s
pravdepodobne nstroje pre sprvu systmu a programovanie na Webe.
Vek as CGI skriptov na Webe je napsan v Perle. Balk Perl
potrebujete ma naintalovan, aby bol v systm schopn spracova
Perl skripty.

%description -l sv
Perl r ett hgnivprogramsprk med rtter i C, sed, awk och
skalskript. Perl r bra p att hantera processer och filer, och r
srskilt bra p att hantera text. Utmrkande fr Perl r att det r
praktiskt och effektivt. Det anvnds fr att gra en mngd olika
saker, men de vanligaste tillmpningarna r systemadministration och
webbprogrammering. En stor andel av CGI-skripten p webben r skrivna
i Perl. Du behver installera paketet Perl p ditt system s att ditt

%description -l tr
Perl, metin dosyalarn taramak, bu metin dosyalarndan bilgi karmak
ve bu bilgiye dayal raporlar hazrlamak icin gelitirilmi bir
yorumlamal dildir. Ayrca pek ok sistem ynetimi grevleri iin de
yararl yetenekleri vardr. Perl, gzel (ufak, zarif, minimum)
olmaktan ok, pratik olmaya ynelik (kullanm kolay, verimli,
eksiksiz) olarak tasarlanmtr.

%description -l uk
Perl -    ,  դ ŧ  C,
sed, awk     (shell). Perl  Ц 
    ,   -   Ԧ.
Ԧ Perl - Φ  Φ.   
  , ¦    (
Φ ) , צ, ̦  ͦΦ
 web-.   CGI Ԧ   Perl.

%description -l zh_CN
Perl һָ߼ԣԴ Csedawk  shell ű
ڴ̺ļǴıPerl
صʵԺЧԡ
ִ಻ͬ񣬵ͨӦϵͳʵó Web
̡\n Web ϵĴ󲿷 CGI űʹ Perl
Խбдϵͳаװ Perl  Ա㴦 Perl ű

%package libs
Summary:	Shared Perl library
Group:		Libraries
Conflicts:	perl-base < 1:5.8.8-8.1

%description libs
Shared Perl library.

%package base
Summary:	Base Perl components for a minimal installation
Summary(pl):	Podstawowe skadniki potrzebne do minimalnej instalacji Perla
Group:		Development/Languages/Perl
Requires:	perl-dirs(%{_target_cpu})
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
Provides:	perl(largefiles)
Provides:	perl-File-Compare = 1.1003
Provides:	perl-File-Spec = 3.12
Provides:	perl-File-Temp = 0.16
Provides:	perl-IO = 1.22
Provides:	perl-Safe = 2.12
Provides:	perl-Socket = 1.78
Provides:	perl-Tie-File = 0.97
# broken, unsupported modules
Obsoletes:	perl-SOAP
Obsoletes:	perl-Sort-PolySort
Conflicts:	perl < 1:5.8.0

%description base
Base components, files, core modules, etc. -- a minimal usable Perl
installation. You are encouraged to install a full Perl (the perl
package) whenever possible.

%description base -l pl
Podstawowe skadniki, pliki, gwne moduy itp. - minimalna instalacja
Perla, nadajca si do uytku. Zaleca si instalacj penego Perla
(pakietu perl), jeli to tylko moliwe.

%package GDBM_File
Summary:	GDBM_File - Perl5 access to the gdbm library
Summary(pl):	GDBM_File - dostp do biblioteki gdbm w Perlu
Group:		Libraries
Requires:	%{name}-base = %{epoch}:%{version}-%{release}
# FIXME: Set Version: 1.08 and Release: 1 instead of inheriting
#        values from the main package.  Why this causes setting
#        version and release macros up to the end of this spec?

%description GDBM_File
GDBM_File is a module which allows Perl programs to make use of the
facilities provided by the GNU gdbm library.

%description GDBM_File -l pl
GDBM_File jest moduem, ktry umoliwia programom w Perlu korzystanie
z biblioteki GNU gdbm.

%package devel
Summary:	Perl development files
Summary(pl):	Pliki potrzebne przy tworzeniu wasnych aplikacji w Perlu
Summary(pt_BR):	Arquivos de desenvolvimento e cabealhos para o Perl
Group:		Development/Libraries
Requires:	%{name}-base = %{epoch}:%{version}-%{release}
Requires:	%{name}-modules = %{epoch}:%{version}-%{release}
Requires:	%{name}-tools-pod = %{epoch}:%{version}-%{release}
Provides:	perl-CPAN = 1.76_02
Provides:	perl-Devel-DProf = 20050603.00
Provides:	perl-Devel-PPPort = 3.06_01
Provides:	perl-Devel-Peek = 1.03
Provides:	perl-ExtUtils-Embed = 1.2506_01
Provides:	perl-ExtUtils-MakeMaker = 6.30
Obsoletes:	perl-lib-devel

%description devel
Components required for developing applications which embed a Perl
interpreter and compiling Perl modules.

%description devel -l pl
Skadniki potrzebne do tworzenia aplikacji osadzajcych interpreter
Perla oraz kompilowania moduw Perla.

%package doc-pod
Summary:	Perl documentation in POD format
Summary(pl):	Dokumentacja Perla w formacie POD
Group:		Documentation
Requires:	perldoc
Obsoletes:	perl-pod

%description doc-pod
Practical Extraction and Report Language - POD docs.

%description doc-pod -l pl
Practical Extraction and Report Language - dokumentacja w formacie
POD.

%package doc-reference
Summary:	Perl reference documentation
Summary(pl):	Dokumentacja Perla
Group:		Documentation

%description doc-reference
Reference documentation for the Practical Extraction and Report
Language and it's interpreter in the man(1) format.

%description doc-reference -l pl
Dokumentacja referencyjna w formacie man do jzyka Perl (Practical
Extraction and Report Language) i jego interpretera.

%package modules
Summary:	Modules from the core Perl distribution
Summary(pl):	Moduy z podstawowej dystrybucji Perla
Group:		Libraries
Requires:	%{name}-base = %{epoch}:%{version}-%{release}
Provides:	perl-Attribute-Handlers = 0.78_02
Provides:	perl-CGI = 3.15
Provides:	perl-Class-ISA = 0.33
Provides:	perl-Digest = 1.14
Provides:	perl-Digest-MD5 = 2.36
Provides:	perl-Filter-Simple = 0.82
Provides:	perl-FindBin = 1.47
#Provides:	perl-Hash-Utils = 0.05	Data::Util is missing
Provides:	perl-I18N-LangTags = 0.35
Provides:	perl-IPC-SysV = 1.04
Provides:	perl-Locale-Codes = 2.07
Provides:	perl-Locale-Maketext = 1.09
Provides:	perl-MIME-Base64 = 3.07
Provides:	perl-Math-BigInt = 1.77
Provides:	perl-Math-BigRat = 0.15
Provides:	perl-Math-Trig = 1.03
Provides:	perl-Memoize = 1.01
Provides:	perl-NEXT = 0.60
Provides:	perl-PerlIO-via-QuotedPrint = 0.06
Provides:	perl-Pod-LaTeX = 0.58
Provides:	perl-Pod-Parser = 1.32
Provides:	perl-Scalar-List-Utils = 1.18
Provides:	perl-Storable = 2.15
Provides:	perl-Term-ANSIColor = 1.10
Provides:	perl-Term-Cap = 1.09
Provides:	perl-Test = 1.25
Provides:	perl-Test-Harness = 2.56
Provides:	perl-Test-Simple = 0.62
Provides:	perl-Text-Balanced = 1.95
Provides:	perl-Text-ParseWords = 3.24
Provides:	perl-Text-Soundex = 1.01
# XXX: I'm not sure what to do with this one...
#Provides:	perl-Text-Tabs+Wrap = 2005.0824(01)
Provides:	perl-Time-HiRes = 1.86
Provides:	perl-UNIVERSAL = 1.01
Provides:	perl-Unicode-Collate = 0.52
Provides:	perl-Unicode-Normalize = 0.32
Provides:	perl-libnet = 1.19
Obsoletes:	perl-Encode-compat
Obsoletes:	perl-lib

%description modules
Practical Extraction and Report Language - modules from the core
distribution.

%description modules -l pl
Practical Extraction and Report Language - moduy z podstawowej
dystrybucji.

%package perldoc
Summary:	perldoc - Look up Perl documentation in pod format
Summary(pl):	perldoc - przeszukiwanie dokumentacji Perla w formacie pod
Group:		Development/Tools
Requires:	%{name}-modules = %{epoch}:%{version}-%{release}
Requires:	%{name}-tools-pod = %{epoch}:%{version}-%{release}
Provides:	perldoc = 3.13@%{version}

%description perldoc
perldoc looks up a piece of documentation in .pod format that is
embedded in the Perl installation tree or in a Perl script, and
displays it via "pod2man | nroff -man | $PAGER". This is primarily
used for the documentation for the Perl library modules.

%description perldoc -l pl
perldoc wyszukuje fragment dokumentacji w formacie .pod osadzony w
drzewie instalacji Perla lub w skypcie perlowym i wywietla go przez
"pod2man | nroff -man | $PAGER". Program ten uywany jest gwnie do
dokumentacji moduw z bibliotek Perla.

%package -n sperl
Summary:	Perl setuid root binaries for use with setuid Perl scripts
Summary(de):	sperl zur Verwendung mit setuid Perl-Skripts
Summary(es):	sperl, para uso con los scrips de Perl setuid
Summary(fr):	sperl,  utiliser avec les scripts Perl setuid
Summary(it):	sperl, da usare con gli script di Perl setuid
Summary(ja):	Setuid Perl scripts Ȱ˻Ѥ뤿 suidperl
Summary(ko):	Setuid  ũƮ Բ Ǵ suidperl
Summary(pl):	Binaria setuid root Perla dla setuid-owych skryptw Perla
Summary(pt):	O suidperl, para usar com os programas de Perl 'setuid'
Summary(ru):	SUID   Perl
Summary(sv):	sperl, att anvndas med setuid perlskript
Summary(uk):	SUID-Ӧ  Perl
Summary(zh_CN):	sperl setuid Perl űһʹ
Group:		Development/Languages/Perl
Requires:	%{name}-base = %{epoch}:%{version}-%{release}
Obsoletes:	perl-suidperl

%description -n sperl
sperl is a setuid root binary copy of Perl that allows for (hopefully)
more secure running of setuid Perl scripts.

%description -n sperl -l de
sperl ist eine binre setuid Kopie von Perl, mit der (hoffentlich)
setuid-Skripts sicherer ausgefhrt werden knnen.

%description -n sperl -l es
sperl es una copia binaria de setuid para Perl que le permite una
ejecucin ms segura de los scripts de Perl setuid.

%description -n sperl -l fr
sperl est une copie binaire setuid de Perl qui permet une excution
plus sre de scripts Perl setuid.

%description -n sperl -l it
sperl  una copia binaria setuid di Perl che consente un'esecuzione
pi sicura di script di Perl setuid.

%description -n sperl -l ja
sperl  setuid Perl scripts.äȰưǤ(ԤΤ)٤
Perl setuid Хʥ ԡǤ

%description -n sperl -l pl
sperl jest to kopia setuid root programu binarnego Perl umoliwiajca
bezpieczniejsze (miejmy nadziej) uruchamianie setuidowych skryptw
Perla.

%description -n sperl -l pt
O suidperl  uma cpia do Perl com 'setuid' que permite uma execuo
mais segura dos 'scripts' de Perl 'setuid'.

%description -n sperl -l ru
Suid perl   ,    
    SUID.     
 ,     
suid perl      
.

%description -n sperl -l sv
suidperl r en setuid binrkopia av pers som tillter
(frhoppningsvis) skrare krning av setuid perlskript.

%description -n sperl -l zh_CN
suidperl  Perl  setuid Ƹϣˣ ȫ
setuid perl ű

%package tools
Summary:	Various tools from the core Perl distribution
Summary(pl):	Rne narzdzia z podstawowej dystrybucji Perla
Group:		Applications
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description tools
Various tools from the core Perl distribution:
a2p		- Awk to Perl translator
cpan		- easily interact with CPAN from the command line
find2perl	- translate find command lines to Perl code
piconv		- iconv(1), reinvented in Perl
psed, s2p	- a stream editor

%description tools -l pl
Rne narzdzia z podstawowej dystrybucji Perla:
a2p		- translator skryptw Awka do Perla
cpan		- easily interact with CPAN from the command line
find2perl	- tumaczenie linii polece programu find na kod w Perlu
piconv		- iconv(1) napisany w Perlu
psed, s2p	- edytor strumieniowy

%package tools-devel
Summary:	Developer's tools from the core Perl distribution
Summary(pl):	Narzdzia z podstawowej dystrybucji Perla, przeznaczone dla programistw
Group:		Development/Tools
Requires:	%{name}-base = %{epoch}:%{version}-%{release}
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description tools-devel
Various tools from the core Perl distribution:
c2ph, pstruct	- Dump C structures as generated from C<cc -g -S> stabs
dprofpp		- display Perl profile data
enc2xs		- Perl Encode Module Generator
h2ph		- convert .h C header files to .ph Perl header files
h2xs		- convert .h C header files to Perl extensions
perlcc		- generate executables from Perl programs
perlivp		- Perl Installation Verification Procedure
pl2pm		- Rough tool to translate Perl4 .pl files to Perl5 .pm modules.
splain		- force verbose warning diagnostics

%description tools-devel -l pl
Rne narzdzia z podstawowej dystrybucji Perla:
c2ph, pstruct	- zrzucanie struktur C w postaci generowanej z tablic
		  symboli z cc -g -S
dprofpp		- wywietlanie perlowych danych profilujcych
enc2xs	 	- generator moduw kodujcych w Perlu
h2ph		- konwerter plikw nagwkowych .h z C na perlowe pliki
	 	  nagwkowe .ph
h2xs	 	- konwerter plikw nagwkowych .h z C na rozszerzenia
		  Perla
perlcc	 	- generator binarek z programw w Perlu
perlivp	 	- procedura weryfikacji instalacji Perla
pl2pm		- zgrubne narzdzie do tumaczenia plikw pl Perla 4 na
		  moduy .pm Perla 5
splain		- wymuszenie obszernych ostrzee diagnostycznych

%package tools-pod
Summary:	Tools for manipulating files in the POD format
Summary(pl):	Narzdzia do przetwarzania plikw w formacie POD
Group:		Applications
Requires:	%{name}-modules = %{epoch}:%{version}-%{release}

%description tools-pod
Tools for manipulating files in the POD (Plain Old Documentation)
format:
pod2html	- convert .pod files to .html files
pod2latex	- convert pod documentation to LaTeX format
pod2man		- convert POD data to formatted *roff input
pod2text	- convert POD data to formatted ASCII text
pod2usage	- print usage messages from embedded pod docs in files
podchecker	- check the syntax of POD format documentation files
podselect	- print selected sections of pod documentation

%description tools-pod -l pl
Narzdzia do przetwarzania plikw w formacie POD (Plain Old
Documentation):
pod2html	- konwerter plikw .pod do plikw .html
pod2latex	- konwerter dokumentacji pod do formatu LaTeX
pod2man		- konwerter danych POD na wejcie sformatowane dla *roffa
pod2text	- konwerter danych POD na sformatowany tekst ASCII
pod2usage	- wypisanie informacji o uywaniu programu z dokumentacji
		  osadzonej w plikach
podchecker	- kontrola skadni dokumentacji w formacie POD
podselect	- wypisanie wybranych sekcji z dokumentacji POD

%package -n microperl
Summary:	A really minimal Perl, even more minimal than miniperl
Summary(pl):	Naprawd minimalny Perl, nawet bardziej minimalny ni miniperl
# XXX: is there a more appropiate group?
Group:		Applications

%description -n microperl
microperl is supposed to be able a really minimal Perl, even more
minimal than miniperl. No Configure is needed to build microperl, on
the other hand this means that interfaces between Perl and your
operating system are left very -- minimal.

All this is experimental. If you don't know what to do with microperl
you probably shouldn't. Do not report bugs in microperl; fix the bugs.

%description -n microperl -l pl
microperl ma by naprawd minimalnym Perlem, nawet bardziej minimalnym
od miniperla. Uruchamianie Configure nie jest potrzebne do zbudowania
microperla, z drugiej strony oznacza to, e interfejs midzy Perlem a
systemem operacyjnym pozostaje bardzo minimalny.

Cao jest eksperymentalna. Jeli nie wiesz co zrobi z microperlem,
prawdopodobnie nie powiniene tego robi. Nie zgaszaj bdw w
microperlu - popraw je.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p0
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p0
%patch13 -p1

%build
sh Configure \
	-des \
	-Dcc="%{__cc}" \
	-Darchname=%{_target_platform} \
	-Dcccdlflags='-fPIC' \
	-Dccdlflags='-rdynamic' \
	-Dldlibpthname=none \
	-Dldflags="%{rpmldflags}" \
	-Dlddlflags="-shared %{rpmldflags}" \
	-Doptimize="%{rpmcflags}" \
	%{?debug:-DDEBUGGING} \
	-Duseshrplib \
	-Dd_dosuid \
	-Dman1dir=%{_mandir}/man1 -Dman1ext=1 \
	-Dman3dir=%{_mandir}/man3 -Dman3ext=3perl \
	-Dvendorman1dir=%{_mandir}/man1 -Dvendorman1ext=1p \
	-Dvendorman3dir=%{_mandir}/man3 -Dvendorman3ext=3pm \
	-Dsiteman1dir=%{_usr}/local/man/man1 -Dsiteman1ext=1p \
	-Dsiteman3dir=%{_usr}/local/man/man3 -Dsiteman3ext=3pm \
	-Dprefix=%{_prefix} -Dvendorprefix=%{_prefix} -Dsiteprefix=%{_usr}/local \
	-Dlibpth="%{_libdir} /%{_lib}" \
	-Dprivlib=%{perl_privlib} -Darchlib=%{perl_archlib} \
	-Dsitelib=%{perl_sitelib} -Dsitearch=%{perl_sitearch} \
	-Dvendorlib=%{perl_vendorlib} -Dvendorarch=%{perl_vendorarch} \
	-Ui_db \
	%{!?with_gdbm: -Ui_dbm -Ui_gdbm -Ui_ndbm} \
	%{?with_gdbm: -Ui_dbm -Di_gdbm -Ui_ndbm} \
	-Dlibswanted="dl m c crypt %{?with_gdbm:gdbm}" \
	-%{?with_threads:D}%{!?with_threads:U}usethreads \
	-Duselargefiles

## why were these three undefined?
#	-Ud_setresgid \
#	-Ud_setresuid \
## what's the problem with this one?
# %ifarch sparc sparc64
#	-Ud_longdbl
# %endif

## {Scalar,List}::Util should be in perl_archlib (it's a bit tricky and should
## probably be done in %%prep, but then Configure would complain (->MANIFEST))
mv ext/List/Util/lib/List/Util.pm ext/List/Util
rm -f ext/List/Util/Makefile.PL
cat <<EOF > ext/List/Util/Makefile.PL
use ExtUtils::MakeMaker;
WriteMakefile(NAME=>"List::Util", VERSION_FROM=>"Util.pm", DEFINE=>"-DPERL_EXT");
EOF

%{__make} \
	LIBPERL_SONAME=libperl.so.%{_abi}

cat > runperl <<EOF
#!/bin/sh
LD_PRELOAD="%{_builddir}/%{name}-%{version}/libperl.so.%{_abi}" \\
PERL5LIB="%{buildroot}%{perl_privlib}:%{buildroot}%{perl_archlib}" \\
exec %{buildroot}%{_bindir}/perl \$*
EOF
chmod a+x runperl

## microperl
%if %{with microperl}
rm -f uconfig.h
#chmod u+w uconfig.sh
#echo "usemallocwrap='define'" >> uconfig.sh
%{__make} -f Makefile.micro \
	archlib=%{perl_archlib} \
	archlibexp=%{perl_archlib} \
	privlib=%{perl_privlib} \
	privlibexp=%{perl_privlib} \
	archname=%{_target_platform}%{perlthread} \
	osname=%{_host} \
	bin=%{_bindir} \
	scriptdir=%{_bindir} \
	scriptdirexp=%{_bindir} \
	usemallocwrap='define' \
	OPTIMIZE="%{rpmcflags}"
%endif

%{?with_tests:%{__make} test -j1}
#%{?with_tests:%{__make} minitest}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/{ja,ko,zh_CN,zh_TW}/man1

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
%{?with_microperl:install microperl $RPM_BUILD_ROOT%{_bindir}}

## use symlinks instead of hardlinks
%{__ln_s} -f perl%{version}	$RPM_BUILD_ROOT%{_bindir}/perl
%{__ln_s} -f perl%{version}	$RPM_BUILD_ROOT%{_bindir}/suidperl
%{__ln_s} -f c2ph		$RPM_BUILD_ROOT%{_bindir}/pstruct
%{__ln_s} -f psed		$RPM_BUILD_ROOT%{_bindir}/s2p

## Fix lib
rm -f $RPM_BUILD_ROOT%{perl_archlib}/CORE/libperl.so
%{__ln_s} `%{__perl} -e '$_="'%{perl_archlib}/CORE/libperl.so.%{_abi}'";s|^'%{_libdir}'/*||;print'` \
	$RPM_BUILD_ROOT%{_libdir}/libperl.so.%{_abi}
%{__ln_s} libperl.so.%{_abi} $RPM_BUILD_ROOT%{_libdir}/libperl.so

## Fix Config.pm: remove buildroot path and change man pages extensions
%{__perl} -pi -e 's,%{buildroot}/*,/,g'			$RPM_BUILD_ROOT%{perl_archlib}/Config.pm
%{__perl} -pi -e "s,^man1ext='1',man1ext='1p',"		$RPM_BUILD_ROOT%{perl_archlib}/Config_heavy.pl
%{__perl} -pi -e "s,^man3ext='3perl',man3ext='3pm',"	$RPM_BUILD_ROOT%{perl_archlib}/Config_heavy.pl

## Generate the *.ph files
owd="`pwd`"
cd /usr/include
H2PH=$RPM_BUILD_ROOT%{_bindir}/h2ph
PHDIR=$RPM_BUILD_ROOT%{perl_archlib}
WANTED='
	syscall.h
	syslog.h
	termios.h
	wait.h
	asm/termios.h
	sys/ioctl.h
	sys/socket.h
	sys/syscall.h
	sys/time.h
	linux/posix_types.h
	linux/stddef.h
'
# why it returns non-zero???
%{__perl} $H2PH -a -d $PHDIR $WANTED || :
cd "$owd"

## remove man pages for other operating systems
rm -f	$RPM_BUILD_ROOT%{_mandir}/man1/perl{aix,amiga,apollo,beos,bs2000,ce,cygwin,dgux,dos}* \
	$RPM_BUILD_ROOT%{_mandir}/man1/perl{freebsd,hpux,machten,macos,mpeix,os2,os390}* \
	$RPM_BUILD_ROOT%{_mandir}/man1/perl{qnx,solaris,vmesa,vms,vos,win32}*

## symlink perldelta.1.gz -> perlFOOdelta.1.gz
[ -e $RPM_BUILD_ROOT%{_mandir}/man1/perl%(echo %{version} | tr -d .)delta.1 ] || exit 1
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/perldelta.1
echo ".so perl%(echo %{version} | tr -d .)delta.1" >$RPM_BUILD_ROOT%{_mandir}/man1/perldelta.1

## These File::Spec submodules are for non-Unix systems
rm -f $RPM_BUILD_ROOT%{perl_privlib}/File/Spec/[EMOVW]*.pm
rm -f $RPM_BUILD_ROOT%{_mandir}/man3/File::Spec::{Epoc,Mac,OS2,VMS,Win32}.3pm*

## We already have these *.pod files as man pages
rm -f $RPM_BUILD_ROOT%{perl_privlib}/{Encode,Test,Net,Locale{,/Maketext},MakeMaker}/*.pod
rm -f $RPM_BUILD_ROOT%{perl_privlib}/*.pod
rm -f $RPM_BUILD_ROOT%{perl_archlib}/*.pod

## this object file looks unused; why is it there?
rm -f $RPM_BUILD_ROOT%{perl_archlib}/CORE/sperl.o

install -d doc-base/{Getopt/Long,Switch} \
	doc-devel/ExtUtils \
	doc-modules/{Attribute/Handlers,Filter/Simple,I18N/LangTags,Locale/{Codes,Maketext},Memoize,NEXT,Net/Ping,Term/ANSIColor,Test/Simple,Text/{Balanced,TabsWrap},Unicode/Collate,unicore}

mv -f $RPM_BUILD_ROOT%{perl_privlib}/ExtUtils/{NOTES,PATCHING} \
	doc-devel/ExtUtils

# needed only for tests
rm -f $RPM_BUILD_ROOT%{perl_privlib}/Unicode/Collate/keys.txt
mv -f $RPM_BUILD_ROOT%{perl_privlib}/unicore/ReadMe.txt \
	doc-modules/unicore
# source for *.pl
rm -f $RPM_BUILD_ROOT%{perl_privlib}/unicore/{*.txt,mktables}

## dir tree for other perl modules
install -d $RPM_BUILD_ROOT{%{perl_vendorlib},%{perl_vendorarch},%{perl_vendorarch}/auto}
owd="`pwd`"

## non-english man pages
%{__bzip2} -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

mv -f $RPM_BUILD_ROOT%{_mandir}/man1/perlcn.* $RPM_BUILD_ROOT%{_mandir}/zh_CN/man1
mv -f $RPM_BUILD_ROOT%{_mandir}/man1/perljp.* $RPM_BUILD_ROOT%{_mandir}/ja/man1
mv -f $RPM_BUILD_ROOT%{_mandir}/man1/perlko.* $RPM_BUILD_ROOT%{_mandir}/ko/man1
mv -f $RPM_BUILD_ROOT%{_mandir}/man1/perltw.* $RPM_BUILD_ROOT%{_mandir}/zh_TW/man1

## examples and demos
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-modules-%{version}
mv $RPM_BUILD_ROOT%{perl_privlib}/CGI/eg \
	$RPM_BUILD_ROOT%{_examplesdir}/%{name}-modules-%{version}/CGI

# XXX: bug bug bug...
mv $RPM_BUILD_ROOT%{perl_privlib}/auto/POSIX/SigAction \
	$RPM_BUILD_ROOT%{perl_archlib}/auto/POSIX

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README AUTHORS

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libperl.so.*
%dir %{_libdir}/perl5
%dir %{_libdir}/perl5/%{version}
%dir %{perl_archlib}
%dir %{perl_archlib}/CORE
%attr(755,root,root) %{perl_archlib}/CORE/libperl.so.%{_abi}

%files base
%defattr(644,root,root,755)
%doc doc-base/*
%attr(755,root,root) %{_bindir}/perl
%attr(755,root,root) %{_bindir}/perl%{version}
%{_mandir}/man1/perl.*
%lang(fi) %{_mandir}/fi/man1/perl*
%lang(pl) %{_mandir}/pl/man1/perl*

%dir %{_datadir}/perl5
%dir %{perl_privlib}
%dir %{perl_archlib}/auto

%dir %{_libdir}/perl5/vendor_perl
%dir %{_libdir}/perl5/vendor_perl/%{_abi}
%{perl_vendorarch}
%{perl_vendorlib}

## pragmas
%{perl_privlib}/base.pm
%{_mandir}/man3/base.*
%{perl_privlib}/constant.pm
%{_mandir}/man3/constant.*
%{perl_privlib}/diagnostics.pm
%{_mandir}/man3/diagnostics.*
%{perl_privlib}/fields.pm
%{_mandir}/man3/fields.*
%{perl_privlib}/integer.pm
%{_mandir}/man3/integer.*
%{perl_privlib}/overload.pm
%{_mandir}/man3/overload.*
%{perl_privlib}/sort.pm
%{_mandir}/man3/sort.*
%{perl_privlib}/strict.pm
%{_mandir}/man3/strict.*
%{perl_privlib}/subs.pm
%{_mandir}/man3/subs.*
%{perl_privlib}/vars.pm
%{_mandir}/man3/vars.*
%{perl_privlib}/warnings*
%{_mandir}/man3/warnings*

%{perl_archlib}/lib.pm
%{_mandir}/man3/lib.*

## arch-_IN_dependent modules
%{perl_privlib}/Auto*
%{_mandir}/man3/Auto*
%{perl_privlib}/Carp*
%{_mandir}/man3/Carp*
%dir %{perl_privlib}/Class
%{perl_privlib}/Class/Struct*
%{_mandir}/man3/Class::Struct*
%{perl_privlib}/Exporter*
%{_mandir}/man3/Exporter*
%{perl_privlib}/English*
%{_mandir}/man3/English*
%{perl_privlib}/Getopt*
%{_mandir}/man3/Getopt*
%{perl_privlib}/IPC
%{_mandir}/man3/IPC::Open*
%{perl_privlib}/SelectSaver.pm
%{_mandir}/man3/SelectSaver.*
%{perl_privlib}/Symbol.pm
%{_mandir}/man3/Symbol.*
%{perl_privlib}/Tie
%{_mandir}/man3/Tie::*

## arch-dependent modules
%{perl_archlib}/Config*
%{_mandir}/man3/Config*
%{perl_archlib}/DynaLoader*
%{perl_archlib}/auto/DynaLoader
%{_mandir}/man3/DynaLoader*
%{perl_archlib}/Errno*
%{_mandir}/man3/Errno*
%{perl_archlib}/Safe*
%{_mandir}/man3/Safe*
%{perl_archlib}/XSLoader*
%{_mandir}/man3/XSLoader*

%{perl_archlib}/Cwd.*
%dir %{perl_archlib}/auto/Cwd
%attr(755,root,root) %{perl_archlib}/auto/Cwd/*.so
%{perl_archlib}/auto/Cwd/*.bs
%{_mandir}/man3/Cwd.*

%{perl_archlib}/Fcntl.*
%dir %{perl_archlib}/auto/Fcntl
%attr(755,root,root) %{perl_archlib}/auto/Fcntl/*.so
%{perl_archlib}/auto/Fcntl/*.bs
%{_mandir}/man3/Fcntl.*

%{perl_privlib}/File*
%{perl_archlib}/File
%dir %{perl_archlib}/auto/File
%dir %{perl_archlib}/auto/File/*/
%attr(755,root,root) %{perl_archlib}/auto/File/*/*.so
%{perl_archlib}/auto/File/*/*.bs
%{_mandir}/man3/File*

%{perl_privlib}/IO
%{perl_archlib}/IO*
%dir %{perl_archlib}/auto/IO
%attr(755,root,root) %{perl_archlib}/auto/IO/*.so
%{perl_archlib}/auto/IO/*.bs
%{_mandir}/man3/IO*

%{perl_archlib}/Opcode.*
%dir %{perl_archlib}/auto/Opcode
%attr(755,root,root) %{perl_archlib}/auto/Opcode/*.so
%{perl_archlib}/auto/Opcode/*.bs
%{_mandir}/man3/Opcode.*

%{perl_privlib}/PerlIO.*
%{perl_archlib}/PerlIO
%dir %{perl_archlib}/auto/PerlIO
%dir %{perl_archlib}/auto/PerlIO/*/
%attr(755,root,root) %{perl_archlib}/auto/PerlIO/*/*.so
%{perl_archlib}/auto/PerlIO/*/*.bs
%{_mandir}/man3/PerlIO.*
%{_mandir}/man3/PerlIO::[es]*
%{_mandir}/man3/PerlIO::via.*

%{perl_archlib}/POSIX*
%dir %{perl_archlib}/auto/POSIX
%attr(755,root,root) %{perl_archlib}/auto/POSIX/*.so
%{perl_archlib}/auto/POSIX/*.al
%{perl_archlib}/auto/POSIX/*.bs
%{perl_archlib}/auto/POSIX/*.ix
%{perl_archlib}/auto/POSIX/SigAction
%{_mandir}/man3/POSIX.*

%{perl_archlib}/Socket.*
%dir %{perl_archlib}/auto/Socket
%attr(755,root,root) %{perl_archlib}/auto/Socket/*.so
%{perl_archlib}/auto/Socket/*.bs
%{_mandir}/man3/Socket.*


%if %{with gdbm}
%files GDBM_File
%defattr(644,root,root,755)
%{perl_archlib}/GDBM_File.*
%dir %{perl_archlib}/auto/GDBM_File
%attr(755,root,root) %{perl_archlib}/auto/GDBM_File/*.so
%{perl_archlib}/auto/GDBM_File/*.bs
%{_mandir}/man3/GDBM_File.*
%endif


%files devel
%defattr(644,root,root,755)
%doc doc-devel/*
%attr(755,root,root) %{_libdir}/libperl.so
%{perl_archlib}/CORE/*.h
%{perl_archlib}/CORE/reentr.inc

# FIXME: Changes file to _docdir (and rm MANIFEST.SKIP?)
%{perl_privlib}/ExtUtils
%{_mandir}/man3/ExtUtils*
%{perl_privlib}/CPAN*
%{_mandir}/man3/CPAN*
%{perl_privlib}/DB.*
%{_mandir}/man3/DB.*
%{perl_archlib}/O.*
%{_mandir}/man3/O.*

%{perl_privlib}/B
%{perl_archlib}/B
%{perl_archlib}/B.pm
%dir %{perl_archlib}/auto/B
%dir %{perl_archlib}/auto/B/C
%attr(755,root,root) %{perl_archlib}/auto/B/*.so
%attr(755,root,root) %{perl_archlib}/auto/B/C/*.so
%{perl_archlib}/auto/B/*.bs
%{perl_archlib}/auto/B/C/*.bs
%{_mandir}/man3/B[.:]*

%{perl_archlib}/ByteLoader.*
%dir %{perl_archlib}/auto/ByteLoader
%attr(755,root,root) %{perl_archlib}/auto/ByteLoader/*.so
%{perl_archlib}/auto/ByteLoader/*.bs
%{_mandir}/man3/ByteLoader.*

%{perl_privlib}/Devel
%{perl_archlib}/Devel
%dir %{perl_archlib}/auto/Devel
%dir %{perl_archlib}/auto/Devel/*/
%attr(755,root,root) %{perl_archlib}/auto/Devel/*/*.so
%{perl_archlib}/auto/Devel/*/*.bs
%{_mandir}/man3/Devel::*

%{perl_archlib}/XS
%dir %{perl_archlib}/auto/XS
%dir %{perl_archlib}/auto/XS/*/
%attr(755,root,root) %{perl_archlib}/auto/XS/*/*.so
%{perl_archlib}/auto/XS/*/*.bs
%{_mandir}/man3/XS::*


%files doc-pod
%defattr(644,root,root,755)
%{perl_privlib}/pod/perl.pod
%{perl_privlib}/pod/perl[5abceghijklmnopqrstuvwx]*.pod
%{perl_privlib}/pod/perld[!i]*.pod
%{perl_privlib}/pod/perlf[!au]*.pod


%files doc-reference
%defattr(644,root,root,755)
%{_mandir}/man1/perl[5aefghlmnoprstuvwx]*
%{_mandir}/man1/perlbo*
%{_mandir}/man1/perlcall.*
%{_mandir}/man1/perlcheat.*
%{_mandir}/man1/perlclib.*
%{_mandir}/man1/perlcompile.*
%{_mandir}/man1/perld[!o]*
%{_mandir}/man1/perli[!v]*

%lang(zh_CN) %{_mandir}/zh_CN/man1/perlcn.*
%lang(ja) %{_mandir}/ja/man1/perljp.*
%lang(ko) %{_mandir}/ko/man1/perlko.*
%lang(zh_TW) %{_mandir}/zh_TW/man1/perltw.*


%files modules
%defattr(644,root,root,755)
%doc doc-modules/*
%{_examplesdir}/%{name}-modules-%{version}

%{perl_privlib}/unicore

## pragmas
%{perl_privlib}/attributes.pm
%{_mandir}/man3/attributes.*
%{perl_privlib}/autouse.pm
%{_mandir}/man3/autouse.*
%{perl_privlib}/big*.pm
%{_mandir}/man3/big*
%{perl_privlib}/blib.pm
%{_mandir}/man3/blib.*
%{perl_privlib}/bytes.pm
%{_mandir}/man3/bytes.*
%{perl_privlib}/charnames.pm
%{_mandir}/man3/charnames.*
%{perl_privlib}/filetest.pm
%{_mandir}/man3/filetest.*
%{perl_privlib}/if.pm
%{_mandir}/man3/if.*
%{perl_privlib}/less.pm
%{_mandir}/man3/less.*
%{perl_privlib}/locale.pm
%{_mandir}/man3/locale.*
%{perl_privlib}/open.pm
%{_mandir}/man3/open.*
%{perl_privlib}/sigtrap.pm
%{_mandir}/man3/sigtrap.*
%{perl_privlib}/utf8.pm
%{_mandir}/man3/utf8.*

%{perl_archlib}/attrs.pm
%dir %{perl_archlib}/auto/attrs
%{perl_archlib}/auto/attrs/*.bs
%attr(755,root,root) %{perl_archlib}/auto/attrs/*.so
%{_mandir}/man3/attrs.*
%{perl_archlib}/re.pm
%dir %{perl_archlib}/auto/re
%{perl_archlib}/auto/re/*.bs
%attr(755,root,root) %{perl_archlib}/auto/re/*.so
%{_mandir}/man3/re.*
%{perl_archlib}/encoding.pm
%{_mandir}/man3/encoding.*
%{perl_archlib}/ops.pm
%{_mandir}/man3/ops.*

%if %{with threads}
%{perl_archlib}/threads*
%dir %{perl_archlib}/auto/threads
%dir %{perl_archlib}/auto/threads/shared
%{perl_archlib}/auto/threads/*.bs
%{perl_archlib}/auto/threads/shared/*.bs
%attr(755,root,root) %{perl_archlib}/auto/threads/*.so
%attr(755,root,root) %{perl_archlib}/auto/threads/shared/*.so
%{_mandir}/man3/t*
%endif

## old *.pl files
%{perl_privlib}/*.pl

## *.ph files (could be made a separate package, but an autohelper's support is needed)
%{perl_archlib}/*.ph
%{perl_archlib}/asm
%{perl_archlib}/bits
%{perl_archlib}/gnu
%{perl_archlib}/linux
%{perl_archlib}/sys
%ifarch %{x8664}
%{perl_archlib}/asm-i386
%{perl_archlib}/asm-x86_64
%endif
%ifarch sparc	# sparc64?
%{perl_archlib}/asm-sparc*
%endif

%{perl_archlib}/Data
%dir %{perl_archlib}/auto/Data
%dir %{perl_archlib}/auto/Data/Dumper
%attr(755,root,root) %{perl_archlib}/auto/Data/Dumper/*.so
%{perl_archlib}/auto/Data/Dumper/*.bs
%{_mandir}/man3/Data*

%{perl_privlib}/Digest.pm
%{perl_privlib}/Digest
%{perl_archlib}/Digest
%dir %{perl_archlib}/auto/Digest
%dir %{perl_archlib}/auto/Digest/MD5
%attr(755,root,root) %{perl_archlib}/auto/Digest/MD5/*.so
%{perl_archlib}/auto/Digest/MD5/*.bs
%{_mandir}/man3/Digest*

# FIXME: Changes file
%{perl_privlib}/DBM_Filter*
%{_mandir}/man3/DBM_Filter*

# FIXME: *.h to devel(?), check out the use for *.e2x files
%{perl_privlib}/Encode
%{perl_archlib}/Encode*
%dir %{perl_archlib}/auto/Encode
%dir %{perl_archlib}/auto/Encode/*/
%attr(755,root,root) %{perl_archlib}/auto/Encode/*/*.so
%{perl_archlib}/auto/Encode/*/*.bs
%{_mandir}/man3/Encode*

# FIXME: README and Changes files
%{perl_privlib}/Filter
%{perl_archlib}/Filter
%dir %{perl_archlib}/auto/Filter
%dir %{perl_archlib}/auto/Filter/Util
%dir %{perl_archlib}/auto/Filter/Util/Call
%attr(755,root,root) %{perl_archlib}/auto/Filter/Util/Call/*.so
%{perl_archlib}/auto/Filter/Util/Call/*.bs
%{_mandir}/man3/Filter*

%{perl_privlib}/I18N
%{perl_archlib}/I18N
%dir %{perl_archlib}/auto/I18N
%dir %{perl_archlib}/auto/I18N/*/
%attr(755,root,root) %{perl_archlib}/auto/I18N/*/*.so
%{perl_archlib}/auto/I18N/*/*.bs
%{perl_archlib}/auto/I18N/*/*.ix
%{_mandir}/man3/I18N::*

%{perl_archlib}/IPC
%dir %{perl_archlib}/auto/IPC
%dir %{perl_archlib}/auto/IPC/*/
%attr(755,root,root) %{perl_archlib}/auto/IPC/*/*.so
%{perl_archlib}/auto/IPC/*/*.bs
%{_mandir}/man3/IPC::[MS]*

%{perl_archlib}/List
%dir %{perl_archlib}/auto/List
%dir %{perl_archlib}/auto/List/*/
%attr(755,root,root) %{perl_archlib}/auto/List/*/*.so
%{perl_archlib}/auto/List/*/*.bs
%{_mandir}/man3/List::*

%{perl_archlib}/MIME
%dir %{perl_archlib}/auto/MIME
%dir %{perl_archlib}/auto/MIME/Base64
%attr(755,root,root) %{perl_archlib}/auto/MIME/Base64/*.so
%{perl_archlib}/auto/MIME/Base64/*.bs
%{_mandir}/man3/MIME::*

%{perl_archlib}/SDBM_File.*
%dir %{perl_archlib}/auto/SDBM_File
%attr(755,root,root) %{perl_archlib}/auto/SDBM_File/*.so
%{perl_archlib}/auto/SDBM_File/*.bs
%{_mandir}/man3/SDBM_File.*

%{perl_archlib}/Storable.*
%dir %{perl_archlib}/auto/Storable
%attr(755,root,root) %{perl_archlib}/auto/Storable/*.so
%{perl_archlib}/auto/Storable/*.al
%{perl_archlib}/auto/Storable/*.bs
%{perl_archlib}/auto/Storable/*.ix
%{_mandir}/man3/Storable.*

%{perl_archlib}/Sys
%dir %{perl_archlib}/auto/Sys
%dir %{perl_archlib}/auto/Sys/*/
%attr(755,root,root) %{perl_archlib}/auto/Sys/*/*.so
%{perl_archlib}/auto/Sys/*/*.bs
%{perl_archlib}/auto/Sys/*/*.ix
%{_mandir}/man3/Sys::*

%{perl_archlib}/Time
%dir %{perl_archlib}/auto/Time
%dir %{perl_archlib}/auto/Time/HiRes
%attr(755,root,root) %{perl_archlib}/auto/Time/HiRes/*.so
%{perl_archlib}/auto/Time/HiRes/*.bs
%{_mandir}/man3/Time::HiRes*

%dir %{perl_privlib}/Unicode
%{perl_privlib}/Unicode/*.pm
%{perl_archlib}/Unicode
%dir %{perl_archlib}/auto/Unicode
%dir %{perl_archlib}/auto/Unicode/*
%attr(755,root,root) %{perl_archlib}/auto/Unicode/*/*.so
%{perl_archlib}/auto/Unicode/*/*.bs
%{_mandir}/man3/Unicode::*

%{perl_privlib}/AnyDBM*
%{_mandir}/man3/AnyDBM*
%{perl_privlib}/Attribute
%{_mandir}/man3/Attribute*
%{perl_privlib}/Benchmark*
%{_mandir}/man3/Benchmark*
%{perl_privlib}/CGI*
%{_mandir}/man3/CGI*
%{perl_privlib}/Class/ISA*
%{_mandir}/man3/Class::ISA*
%{perl_privlib}/DirHandle*
%{_mandir}/man3/DirHandle*
%{perl_privlib}/Dumpvalue.*
%{_mandir}/man3/Dumpvalue.*
%{perl_privlib}/Env.*
%{_mandir}/man3/Env.*
%{perl_privlib}/Fatal.*
%{_mandir}/man3/Fatal.*
%{perl_privlib}/FindBin.*
%{_mandir}/man3/FindBin.*
%{perl_privlib}/Hash
%{_mandir}/man3/Hash::*
# FIXME: README and Changes files
%{perl_privlib}/Locale
%{_mandir}/man3/Locale::*
%{perl_privlib}/Math
%{_mandir}/man3/Math::*
%{perl_privlib}/Memoize*
%{_mandir}/man3/Memoize*
%{perl_privlib}/NEXT.pm
%{_mandir}/man3/NEXT*
# FIXME: README and Changes files
%dir %{perl_privlib}/Net
%{perl_privlib}/Net/*.eg
%{perl_privlib}/Net/*.pm
%{perl_privlib}/Net/FTP
%{_mandir}/man3/Net::*
%{perl_privlib}/PerlIO
%{_mandir}/man3/PerlIO::via::*
%{perl_privlib}/Pod
%{_mandir}/man3/Pod::*
%{perl_privlib}/Scalar
%{_mandir}/man3/Scalar::*
%{perl_privlib}/Search
%{_mandir}/man3/Search::*
%{perl_privlib}/SelfLoader.*
%{_mandir}/man3/SelfLoader.*
%{perl_privlib}/Shell.*
%{_mandir}/man3/Shell.*
# FIXME: README and Changes files
%{perl_privlib}/Switch.*
%{_mandir}/man3/Switch.*
# FIXME: README and Changes files
%{perl_privlib}/Term
%{_mandir}/man3/Term::*
# FIXME: README and Changes files
%{perl_privlib}/Test*
%{_mandir}/man3/Test*
%{perl_privlib}/Text
%{_mandir}/man3/Text::*
%if %{with threads}
%{perl_privlib}/Thread*
%{_mandir}/man3/Thread*
%endif
%{perl_privlib}/Time
%{_mandir}/man3/Time::[La-z]*
# XXX: to perl-base?
%{perl_privlib}/UNIVERSAL.*
%{_mandir}/man3/UNIVERSAL.*
# FIXME: README and Changes files
%{perl_privlib}/User
%{_mandir}/man3/User::*


%files perldoc
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/perldoc
%dir %{perl_privlib}/pod
%{perl_privlib}/pod/perldiag.pod
%{perl_privlib}/pod/perlfaq*.pod
%{perl_privlib}/pod/perlfunc.pod
%{_mandir}/man1/perldoc.*


%files -n sperl
%defattr(644,root,root,755)
%attr(4755,root,root) %{_bindir}/sperl%{version}
%attr(755,root,root) %{_bindir}/suidperl

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/a2p
%{_mandir}/man1/a2p.*
%attr(755,root,root) %{_bindir}/cpan
%{_mandir}/man1/cpan.*
%attr(755,root,root) %{_bindir}/find2perl
%{_mandir}/man1/find2perl.*
%attr(755,root,root) %{_bindir}/instmodsh
%{_mandir}/man1/instmodsh.*
%attr(755,root,root) %{_bindir}/libnetcfg
%{_mandir}/man1/libnetcfg.*
%attr(755,root,root) %{_bindir}/piconv
%{_mandir}/man1/piconv.*
%attr(755,root,root) %{_bindir}/psed
%attr(755,root,root) %{_bindir}/s2p
%{_mandir}/man1/psed.*
%{_mandir}/man1/s2p.*

%files tools-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/perlbug
%{_mandir}/man1/perlbug.*
%attr(755,root,root) %{_bindir}/c2ph
%attr(755,root,root) %{_bindir}/pstruct
%{_mandir}/man1/c2ph.*
%{_mandir}/man1/pstruct.*
%attr(755,root,root) %{_bindir}/dprofpp
%{_mandir}/man1/dprofpp.*
%attr(755,root,root) %{_bindir}/enc2xs
%{_mandir}/man1/enc2xs.*
%attr(755,root,root) %{_bindir}/h2ph
%{_mandir}/man1/h2ph.*
%attr(755,root,root) %{_bindir}/h2xs
%{_mandir}/man1/h2xs.*
%attr(755,root,root) %{_bindir}/perlcc
%{_mandir}/man1/perlcc.*
%attr(755,root,root) %{_bindir}/perlivp
%{_mandir}/man1/perlivp.*
%attr(755,root,root) %{_bindir}/pl2pm
%{_mandir}/man1/pl2pm.*
%attr(755,root,root) %{_bindir}/splain
%{_mandir}/man1/splain.*
%attr(755,root,root) %{_bindir}/xsubpp
%{_mandir}/man1/xsubpp.*

%files tools-pod
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/pod*
%{_mandir}/man1/pod*

%if %{with microperl}
%files -n microperl
%defattr(644,root,root,755)
%doc README.micro Todo.micro
%attr(755,root,root) %{_bindir}/microperl
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl.spec,v $
Revision 1.342.2.2  2007/01/30 10:34:19  glen
- separated -libs; rel 10

Revision 1.342.2.1  2006/12/21 01:24:32  glen
- require proper perl-dirs; rel 8

Revision 1.342  2006/10/30 16:47:06  sparky
- add ExtUtils-MakeMaker-write-permissions patch

Revision 1.341  2006/09/22 09:49:34  radek
- P: perl-EU-MM = 6.30

Revision 1.340  2006/08/22 19:25:24  glen
- rel 6

Revision 1.339  2006/08/22 19:13:56  glen
- shared module dirs moved to perl-dirs package, rel 5

Revision 1.338  2006/08/13 19:27:38  ankry
- reverted last change

Revision 1.337  2006/08/12 21:48:50  ankry
- added %{perl_vendorlib}/Test/Pod

Revision 1.336  2006/08/12 21:45:54  ankry
- removed duplicate dir creation

Revision 1.335  2006/08/12 21:38:03  ankry
- added %{perl_vendorlib}/Email/Simple

Revision 1.334  2006/08/04 00:36:30  sparky
- use %{rpmldflags}

Revision 1.333  2006/07/27 10:46:32  glen
- 1.310 macros instead of fixperms hack

Revision 1.332  2006/07/23 18:55:44  qboosh
- use .so instead of symlink for manual

Revision 1.331  2006/07/23 17:39:39  radek
- fixed perldelta symlink

Revision 1.330  2006/04/15 22:01:19  hawk
- merged changes from AC-branch

Revision 1.329  2006/04/15 13:35:07  sparky
- missing '\'

Revision 1.328  2006/04/08 16:08:33  migo
- add %{perl_vendorlib}Class/Data to package

Revision 1.327  2006/04/08 13:00:04  radek
- release 2: if microperl builds, ship it

Revision 1.326  2006/04/06 18:57:31  qboosh
- updated microperl_uconfig patch is back, microperl builds

Revision 1.325  2006/04/03 11:36:35  radek
- release 1
- added perl_588-27368.patch, some cleanup

Revision 1.324  2006/04/03 11:03:37  radek
- version 5.8.8 (almost finished)
- removed patches (not needed or applied): -Pod_Usage_version,
  CVE-2005-3962-bz174684, bz172236, bz172587, bz172739_obz36521
- make test -j1 (perldelta says might cause problems)
- minor tweaks (perldelta symlink, _fixperm)

Revision 1.323  2006/01/23 11:05:23  qboosh
- updated microperl_uconfig patch, now microperl builds

Revision 1.322  2006/01/20 14:27:26  arekm
- rel 6; various bugfixes from FC4 including fixes for CAN-2004-0976 and CVE-2005-3962.

Revision 1.321  2005/11/02 22:51:49  adamg
- getgrent fails with out of memory if /etc/group contains line longer
  than 3000 chars.

Revision 1.320  2005/07/30 10:04:02  qboosh
- -base Conflicts:: perl < 1:5.8.0 (file conflicts with perl from Ra)
- release 5

Revision 1.319  2005/06/11 00:20:21  ankry
- added %{perl_vendorlib}/Params

Revision 1.318  2005/06/10 03:10:06  ankry
- rel. 4

Revision 1.317  2005/06/09 23:03:44  radek
- more *.ph on sparc (%{perl_archlib}/asm-sparc64)

Revision 1.316  2005/06/09 17:05:53  undefine
- config file partialy goes to Config_heavy.pl - there are options for man?ext

Revision 1.315  2005/06/09 15:20:40  ankry
- %{perl_vendorarch}/DateTime added, rel. 3

Revision 1.314  2005/06/08 12:10:15  radek
- release 2: added -Pod_Usage_version.patch

Revision 1.313  2005/06/08 11:50:58  radek
- install perl_archlib/asm-sparc/*.ph on sparc

Revision 1.312  2005/06/08 11:03:51  radek
- (previous change) =~ s/amd64/%x8664/

Revision 1.311  2005/06/08 10:57:55  radek
- install perl_archlib/asm-{i386,x86_64}/*.ph on amd64

Revision 1.310  2005/06/08 09:22:11  radek
- release 1; TODO: microperl

Revision 1.309  2005/06/08 09:14:24  radek
- release 0.2: updated Provides

Revision 1.308  2005/06/08 08:59:41  radek
- version 5.8.7, NFY

Revision 1.307  2005/06/07 11:11:24  blues
- release 5.9 - mod_perl2 patch added. Needed some conflicts with earlier
  mod_perl versions and more fixes in code, but now it seems to start
  working...

Revision 1.306  2005/05/31 18:12:09  witekfl
- removed unnecessary symblic link

Revision 1.305  2005/05/31 15:15:11  witekfl
- added symbolic link /usr/bin/perl5 required by glib2
- rel 5

Revision 1.304  2005/05/09 08:36:51  pluto
- release 4 for rebuild with x86_64 target.
  it's needed to proper makefiles generation (CC, LD)
  by ExtUtils::MakeMaker.

Revision 1.303  2005/03/27 08:13:26  darekr
- simplified %%prep

Revision 1.302  2005/02/19 10:21:34  radek
- SECURITY release 3: added perl_586-sperl-CAN-2005-0155.patch,
  fixing major sperl vulnerability

Revision 1.301  2004/12/27 17:01:45  radek
- better URL field

Revision 1.300  2004/12/11 21:58:43  radek
- added perl_vendorlib/DNS

Revision 1.299  2004/12/02 08:41:13  ankry
- oops, rel. 2 not epoch

Revision 1.298  2004/12/02 08:36:06  ankry
- added PerlIO, directory list fix, rel. 2

Revision 1.297  2004/11/28 12:58:52  radek
- merged 5.8.6 from PERL_5_8_6, release 1
- NOTE: DynaLoader was reverted to 1.05

Revision 1.292.2.7  2004/11/28 12:27:17  radek
- CPAN Source0, updated Provides

Revision 1.292.2.6  2004/11/28 12:13:37  radek
- 5.8.6 (temporary Source0 URL)

Revision 1.292.2.5  2004/11/23 00:36:26  radek
- added vendorlib/WWW/Google directory

Revision 1.292.2.4  2004/11/23 00:20:53  radek
- added vendorlib/NetAddr dir

Revision 1.292.2.3  2004/11/18 12:18:01  radek
- updated the list of Provides (probably not all of them)

Revision 1.292.2.2  2004/11/18 11:07:21  radek
- added vendorlib/X500 dir

Revision 1.292.2.1  2004/11/14 15:00:39  radek
- version 5.8.6, RC1
- NOTE: new DynaLoader version (1.06)

Revision 1.292  2004/11/14 14:54:49  radek
- create runperl before running tests

Revision 1.291  2004/11/11 10:29:07  adamg
- added vendorarch/Ogg/Vorbis

Revision 1.290  2004/11/02 04:07:28  ankry
- rel. 6

Revision 1.289  2004/11/01 23:32:53  qboosh
- added vendorlib/Carp dir

Revision 1.288  2004/10/31 22:45:36  paladine
- spaces->tabs
- formatting

Revision 1.287  2004/10/25 11:36:57  paladine
- "HTML" and "Perl" unification

Revision 1.286  2004/10/23 13:32:13  radek
- release 5: set siteman1dir properly (/usr/local/man, not /usr/local/share/man)

Revision 1.285  2004/10/13 17:33:28  ankry
- rel. 4

Revision 1.284  2004/10/13 14:22:04  blues
- one more missing dir

Revision 1.283  2004/10/13 10:29:12  ankry
- missing dir, rel. 3

Revision 1.282  2004/08/02 19:13:04  qboosh
- use LD_PRELOAD in runperl to ensure new libperl is used for perl.prov

Revision 1.281  2004/08/02 15:32:38  qboosh
- strict deps in -devel

Revision 1.280  2004/08/01 23:23:02  ankry
- added missing dirs, rel. 2

Revision 1.279  2004/07/24 12:48:43  radek
- no complaints -> release 1

Revision 1.278  2004/07/21 19:59:20  radek
- release 0.3: updated the list of Provides

Revision 1.277  2004/07/21 19:34:19  radek
- release 0.2: s/ChangeLog.libnet/Changes.libnet/; builds & works

Revision 1.276  2004/07/21 18:33:03  radek
- fixed microperl

Revision 1.275  2004/07/21 18:21:21  radek
- version 5.8.5 (nfy, release 0.1)

Revision 1.274  2004/07/14 16:56:22  radek
- "Source2: perl.prov" instead of BR: rpm-perlprov

Revision 1.273  2004/07/13 22:55:48  qboosh
- BR: rpm-perlprov (for /usr/lib/rpm/perl.prov)

Revision 1.272  2004/06/02 21:04:38  ankry
- added missing dirs, rel. 9

Revision 1.271  2004/06/02 13:55:55  ankry
- commented out fresh Obsoletes because of complaints, rel. 8

Revision 1.270  2004/06/02 09:03:30  ankry
- added Obsoletes for old packages, added Jabber subdir, rel. 7

Revision 1.269  2004/05/22 20:09:13  qboosh
- -perldoc needs base in equal version
- strict internal deps

Revision 1.268  2004/05/17 18:16:51  radek
- -DDEBUGGING if --with debug

Revision 1.267  2004/05/12 21:14:56  qboosh
- restored use-LD_PRELOAD-for-libperl.so patch, added ldlibpthname=none
  to make it work (needed sometimes when building on the same version of perl)

Revision 1.266  2004/05/12 09:57:44  radek
- release 6: removed -use-LD_PRELOAD-for-libperl.so.patch

Revision 1.265  2004/05/09 18:34:37  qboosh
- give up, force -O1 on ppc (looks like gcc 3.3.x bug); release 5

Revision 1.264  2004/05/08 14:07:23  qboosh
- fixed sitemandirs, pass quotted __cc

Revision 1.263  2004/05/01 16:26:45  ankry
- perl-Sort-PolySort is no longer supported

Revision 1.262  2004/04/29 22:54:33  radek
- updated TODO

Revision 1.261  2004/04/29 22:51:56  radek
- release 3: siteman3=~s/man3p/man3/ (forgotten...)

Revision 1.260  2004/04/28 00:25:45  domelu
- R: perl-tools-pod into perl-perldoc

Revision 1.259  2004/04/27 20:43:04  ankry
- %%{perl_vendorlib}/RTF added

Revision 1.258  2004/04/26 22:15:53  radek
- release 1

Revision 1.257  2004/04/26 17:54:44  radek
- release 0.3: updated list of provided modules

Revision 1.256  2004/04/26 17:38:16  radek
- release 0.2: updated microperl patch, included DBM_Filter and instmodsh

Revision 1.255  2004/04/26 16:40:10  radek
- version 5.8.4
- added bcond to turn off microperl
- microperl_uconfig.patch is back

Revision 1.254  2004/04/20 17:03:43  qboosh
- -modules Obsoletes: perl-Encode-compat

Revision 1.253  2004/04/18 16:56:37  ankry
- license fixes and unification

Revision 1.252  2004/03/28 13:36:22  migo
- added %{perl_vendorlib}/{Exporter,Object,Template} directories

Revision 1.251  2004/02/18 16:27:04  qboosh
- s/no/nb/ in Summary langs

Revision 1.250  2004/02/02 17:18:35  qboosh
- updated to 5.8.3 (should be binary-compatible with 5.8.0 and 5.8.2)
- new-style bconds, dropped _without_largefiles
- moved some docs from privlib/archlib to %%doc
- release 0.1 (seems to work, but needs more testing)

Revision 1.249  2004/01/16 15:03:02  jajcus
- Release: 5
- changed to build with new rpm dependencies generation

Revision 1.248  2004/01/07 16:08:15  qboosh
- added vendorlib/XML/XPath dir (moved from perl-XML-XPath.spec)

Revision 1.247  2004/01/02 17:53:44  jajcus
- Releas: 4 (STBR after AMD64 fixes)

Revision 1.246  2003/12/21 15:38:43  jajcus
- pass %{_libdir} and %{_lib} to Configure so it can find libraries like libgdbm

Revision 1.245  2003/12/17 14:27:58  qboosh
- fixed List::Util broken by hack in build (undefined symbol cxinc)
- release 3

Revision 1.244  2003/12/11 13:56:55  qboosh
- added vendorarch{,/auto}/Convert dirs

Revision 1.243  2003/12/08 14:36:48  qboosh
- added test-noproc patch, now builds without mounted /proc (skips one subtest)

Revision 1.242  2003/11/17 17:57:15  radek
- typo (s/without_dbm/without_gdbm/)

Revision 1.241  2003/11/16 16:52:00  qboosh
- use existing Group for -base

Revision 1.240  2003/11/15 13:28:46  grzegol
- added missing %%{perl_archlib}/CORE/reentr.inc file to -devel subpackage
- rel. 2

Revision 1.239  2003/11/15 01:22:51  radek
- version 5.8.2 (merged from PERL_5_8_2)
